import { OnInit } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { AuthService } from '../../../services/auth/auth.service';
import { IReqAuthRegister } from '../../../types/requests/ReqAuthRegister';
import { IAuthError } from '../../../types/responses/AuthError';
import * as i0 from "@angular/core";
export declare class RegisterBaseComponent implements OnInit {
    protected router: Router;
    protected authService: AuthService;
    protected translate: TranslateService;
    registerReq: IReqAuthRegister;
    formGroup: UntypedFormGroup;
    error: IAuthError;
    constructor(router: Router, authService: AuthService, translate: TranslateService);
    ngOnInit(): void;
    register(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RegisterBaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RegisterBaseComponent, "strapi-register-base", never, {}, {}, never, never, false>;
}
