import { ChangeDetectorRef } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { AuthService } from '../../../services/auth/auth.service';
import { IAuthError } from '../../../types/responses/AuthError';
import * as i0 from "@angular/core";
export declare class RequestPasswordBaseComponent {
    protected cd: ChangeDetectorRef;
    protected router: Router;
    protected authService: AuthService;
    protected translate: TranslateService;
    formGroup: FormGroup;
    error: IAuthError;
    constructor(cd: ChangeDetectorRef, router: Router, authService: AuthService, translate: TranslateService);
    requestPasswordReset(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RequestPasswordBaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RequestPasswordBaseComponent, "strapi-request-password-base", never, {}, {}, never, never, false>;
}
