import { ChangeDetectorRef, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ActivatedRoute, Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { AuthService } from '../../../services/auth/auth.service';
import { IAuthError } from '../../../types/responses/AuthError';
import * as i0 from "@angular/core";
export declare class ResetPasswordBaseComponent implements OnInit {
    protected cd: ChangeDetectorRef;
    protected router: Router;
    protected route: ActivatedRoute;
    protected authService: AuthService;
    protected translate: TranslateService;
    private passwordResetReq;
    formGroup: FormGroup;
    error: IAuthError;
    constructor(cd: ChangeDetectorRef, router: Router, route: ActivatedRoute, authService: AuthService, translate: TranslateService);
    ngOnInit(): void;
    /**
     * Reset password
     */
    resetPassword(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResetPasswordBaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResetPasswordBaseComponent, "strapi-reset-password-base", never, {}, {}, never, never, false>;
}
