import { ModuleWithProviders } from '@angular/core';
import { StrapiAuthConfig } from './types/StrapiAuthConfig';
import * as i0 from "@angular/core";
import * as i1 from "./components/validation/validation.component";
import * as i2 from "./directives/dynamic-component.directive";
import * as i3 from "./components/default-components/default-login/default-login.component";
import * as i4 from "./components/default-components/default-register/default-register.component";
import * as i5 from "./components/default-components/default-logout/default-logout.component";
import * as i6 from "./components/default-components/default-request-password/default-request-password.component";
import * as i7 from "./components/default-components/default-reset-password/default-reset-password.component";
import * as i8 from "./components/default-components/default-profile/default-profile.component";
import * as i9 from "./components/base-components/login-base/login-base.component";
import * as i10 from "./components/base-components/register-base/register-base.component";
import * as i11 from "./components/base-components/logout-base/logout-base.component";
import * as i12 from "./components/base-components/request-password-base/request-password-base.component";
import * as i13 from "./components/base-components/reset-password-base/reset-password-base.component";
import * as i14 from "./components/base-components/profile-base/profile-base.component";
import * as i15 from "@angular/common";
import * as i16 from "@angular/forms";
import * as i17 from "@angular/router";
import * as i18 from "@ngx-translate/core";
export declare class StrapiAuthModule {
    static forRoot(config: StrapiAuthConfig): ModuleWithProviders<StrapiAuthModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<StrapiAuthModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<StrapiAuthModule, [typeof i1.ValidationComponent, typeof i2.DynamicComponentDirective, typeof i3.DefaultLoginComponent, typeof i4.DefaultRegisterComponent, typeof i5.DefaultLogoutComponent, typeof i6.DefaultRequestPasswordComponent, typeof i7.DefaultResetPasswordComponent, typeof i8.DefaultProfileComponent, typeof i9.LoginBaseComponent, typeof i10.RegisterBaseComponent, typeof i11.LogoutBaseComponent, typeof i12.RequestPasswordBaseComponent, typeof i13.ResetPasswordBaseComponent, typeof i14.ProfileBaseComponent], [typeof i15.CommonModule, typeof i16.FormsModule, typeof i16.ReactiveFormsModule, typeof i17.RouterModule, typeof i18.TranslateModule], [typeof i1.ValidationComponent, typeof i3.DefaultLoginComponent, typeof i4.DefaultRegisterComponent, typeof i5.DefaultLogoutComponent, typeof i6.DefaultRequestPasswordComponent, typeof i7.DefaultResetPasswordComponent, typeof i8.DefaultProfileComponent, typeof i9.LoginBaseComponent, typeof i10.RegisterBaseComponent, typeof i11.LogoutBaseComponent, typeof i12.RequestPasswordBaseComponent, typeof i13.ResetPasswordBaseComponent, typeof i14.ProfileBaseComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<StrapiAuthModule>;
}
